AverageError
Statistical Functions

Primitives for computing the Average error between two signals. More...

## Functions

NppStatus | nppsAverageError_8u (const Npp8u *pSrc1, const Npp8u *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 8-bit unsigned char Average method. More...
NppStatus | nppsAverageError_8s (const Npp8s *pSrc1, const Npp8s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 8-bit signed char Average method. More...
NppStatus | nppsAverageError_16u (const Npp16u *pSrc1, const Npp16u *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 16-bit unsigned short integer Average method. More...
NppStatus | nppsAverageError_16s (const Npp16s *pSrc1, const Npp16s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 16-bit signed short integer Average method. More...
NppStatus | nppsAverageError_16sc (const Npp16sc *pSrc1, const Npp16sc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 16-bit unsigned short complex integer Average method. More...
NppStatus | nppsAverageError_32u (const Npp32u *pSrc1, const Npp32u *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 32-bit unsigned short integer Average method. More...
NppStatus | nppsAverageError_32s (const Npp32s *pSrc1, const Npp32s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 32-bit signed short integer Average method. More...
NppStatus | nppsAverageError_32sc (const Npp32sc *pSrc1, const Npp32sc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 32-bit unsigned short complex integer Average method. More...
NppStatus | nppsAverageError_64s (const Npp64s *pSrc1, const Npp64s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 64-bit signed short integer Average method. More...
NppStatus | nppsAverageError_64sc (const Npp64sc *pSrc1, const Npp64sc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 64-bit unsigned short complex integer Average method. More...
NppStatus | nppsAverageError_32f (const Npp32f *pSrc1, const Npp32f *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 32-bit floating point Average method. More...
NppStatus | nppsAverageError_32fc (const Npp32fc *pSrc1, const Npp32fc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 32-bit floating point complex Average method. More...
NppStatus | nppsAverageError_64f (const Npp64f *pSrc1, const Npp64f *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 64-bit floating point Average method. More...
NppStatus | nppsAverageError_64fc (const Npp64fc *pSrc1, const Npp64fc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 64-bit floating point complex Average method. More...
NppStatus | nppsAverageErrorGetBufferSize_8u (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsAverageError_8u. More...
NppStatus | nppsAverageErrorGetBufferSize_8s (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsAverageError_8s. More...
NppStatus | nppsAverageErrorGetBufferSize_16u (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsAverageError_16u. More...
NppStatus | nppsAverageErrorGetBufferSize_16s (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsAverageError_16s. More...
NppStatus | nppsAverageErrorGetBufferSize_16sc (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsAverageError_16sc. More...
NppStatus | nppsAverageErrorGetBufferSize_32u (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsAverageError_32u. More...
NppStatus | nppsAverageErrorGetBufferSize_32s (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsAverageError_32s. More...
NppStatus | nppsAverageErrorGetBufferSize_32sc (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsAverageError_32sc. More...
NppStatus | nppsAverageErrorGetBufferSize_64s (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsAverageError_64s. More...
NppStatus | nppsAverageErrorGetBufferSize_64sc (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsAverageError_64sc. More...
NppStatus | nppsAverageErrorGetBufferSize_32f (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsAverageError_32f. More...
NppStatus | nppsAverageErrorGetBufferSize_32fc (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsAverageError_32fc. More...
NppStatus | nppsAverageErrorGetBufferSize_64f (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsAverageError_64f. More...
NppStatus | nppsAverageErrorGetBufferSize_64fc (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsAverageError_64fc. More...

## Detailed Description

Primitives for computing the Average error between two signals.

Given two signals and both with length , the average error is defined as

If the signal is in complex format, the absolute value of the complex number is used.

## Function Documentation

NppStatus nppsAverageError_16s | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

16-bit signed short integer Average method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageErrorGetBufferSize_16s to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageError_16sc | ( | const Npp16sc * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

16-bit unsigned short complex integer Average method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageErrorGetBufferSize_16sc to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageError_16u | ( | const Npp16u * | pSrc1,
|  | const Npp16u * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

16-bit unsigned short integer Average method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageErrorGetBufferSize_16u to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageError_32f | ( | const Npp32f * | pSrc1,
|  | const Npp32f * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

32-bit floating point Average method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageErrorGetBufferSize_32f to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageError_32fc | ( | const Npp32fc * | pSrc1,
|  | const Npp32fc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

32-bit floating point complex Average method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageErrorGetBufferSize_32fc to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageError_32s | ( | const Npp32s * | pSrc1,
|  | const Npp32s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

32-bit signed short integer Average method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageErrorGetBufferSize_32s to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageError_32sc | ( | const Npp32sc * | pSrc1,
|  | const Npp32sc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

32-bit unsigned short complex integer Average method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageErrorGetBufferSize_32sc to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageError_32u | ( | const Npp32u * | pSrc1,
|  | const Npp32u * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

32-bit unsigned short integer Average method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageErrorGetBufferSize_32u to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageError_64f | ( | const Npp64f * | pSrc1,
|  | const Npp64f * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

64-bit floating point Average method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageErrorGetBufferSize_64f to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageError_64fc | ( | const Npp64fc * | pSrc1,
|  | const Npp64fc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

64-bit floating point complex Average method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageErrorGetBufferSize_64fc to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageError_64s | ( | const Npp64s * | pSrc1,
|  | const Npp64s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

64-bit signed short integer Average method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageErrorGetBufferSize_64s to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageError_64sc | ( | const Npp64sc * | pSrc1,
|  | const Npp64sc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

64-bit unsigned short complex integer Average method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageErrorGetBufferSize_64sc to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageError_8s | ( | const Npp8s * | pSrc1,
|  | const Npp8s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

8-bit signed char Average method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageErrorGetBufferSize_8s to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageError_8u | ( | const Npp8u * | pSrc1,
|  | const Npp8u * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

8-bit unsigned char Average method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageErrorGetBufferSize_8u to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageErrorGetBufferSize_16s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsAverageError_16s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsAverageErrorGetBufferSize_16sc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsAverageError_16sc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsAverageErrorGetBufferSize_16u | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsAverageError_16u.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsAverageErrorGetBufferSize_32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsAverageError_32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsAverageErrorGetBufferSize_32fc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsAverageError_32fc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsAverageErrorGetBufferSize_32s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsAverageError_32s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsAverageErrorGetBufferSize_32sc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsAverageError_32sc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsAverageErrorGetBufferSize_32u | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsAverageError_32u.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsAverageErrorGetBufferSize_64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsAverageError_64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsAverageErrorGetBufferSize_64fc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsAverageError_64fc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsAverageErrorGetBufferSize_64s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsAverageError_64s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsAverageErrorGetBufferSize_64sc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsAverageError_64sc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsAverageErrorGetBufferSize_8s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsAverageError_8s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsAverageErrorGetBufferSize_8u | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsAverageError_8u.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

Copyright © 2009-2017 NVIDIA Corporation